<template>
  <div class="spot__header">
    <div class="spot__header--title">
      {{ spotNumber }}<br />
      {{ typeOfAuction }}
    </div>
  </div>
</template>

<script>
import { AUCTION_TYPES } from '@/resources/enum'
export default {
  name: 'headerPrice',
  props: {
    spotNumber: {
      type: String,
      default: '',
    },
    spotType: {
      type: String,
      default: '',
    },
  },
  data() {
    return {
      auctionTypes: AUCTION_TYPES
    }
  },
  computed: {
    typeOfAuction() {
      return this.spotType ? this.auctionTypes[this.spotType].title : '-'
    }
  }
}
</script>

<style scoped lang="scss">
.spot {
  &__header {
  position: relative;
  text-align: center;
    &--title {
      font-size: 12px;
      line-height: 16px;
      letter-spacing: 1.6px;
      text-transform: uppercase;
      color: $shale-gray;
    }
  }
}
</style>
